package kr.gmtc.gw.asderecv.rest.vo;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ServiceAsdeData {

	private String cat_ty; // 카테고리 유형 (10:Cat10, 11:Cat11)
	private String clsgn; // Callsign
	private String tail_no; // 항공기등록기호
	private String mode_s_cd; // Mode-S 코드
	private String ssr_cd; // SSR 코드(squawkcode)	

	private String track_no; // Track number
	private String trgt_id; // 타겟 ID
	private String recptn_dt; // 수신일시

	// private String posx; //x좌표
	// private String posy; // y 좌표

	private String lat; // 위도
	private String lon; // 경도
	private String spd; // 속도
	private String cos; // 방위
	private String trgt_ty; // 타겟 ID

	private String alt; // 고도
	// private String carty; // 조업차량 분류

	
	public ServiceAsdeData() {
		super();
		this.cat_ty = "";
		this.trgt_id = "";
		this.mode_s_cd = "";
		this.ssr_cd = "";
		this.clsgn = "";
		this.tail_no = "";
		this.track_no = "";
		this.recptn_dt = "";
		// this.posx = "0";
		// this.posy = "0";
		this.lat = "0";
		this.lon = "0";
		this.spd = "0";
		this.cos = "0";
		this.trgt_ty = "0";
		this.alt = "0";
		// this.carty = "";
	}



	@Override
	public String toString() {
		return "trgt_id=" + trgt_id + ", mode_s_cd=" + mode_s_cd + ", ssr_cd=" + ssr_cd + ", clsgn="
				+ clsgn + ", tail_no=" + tail_no + ", track_no=" + track_no + ", recptn_dt=" + recptn_dt + ", cat_ty="
				+ cat_ty + ", lat=" + lat + ", lon=" + lon + ", spd=" + spd + ", cos=" + cos + ", trgt_type=" + trgt_ty;
	}



}